-   Slackware - Installation (
-   -   Problems compiling KDE (arts-3.5.1) (

gmorr 03-13-2006 11:38 PM

Problems compiling KDE (arts-3.5.1)
I am having two problems compiling arts.

The first is that it the configure script can't find libjpeg-6b even though I have libjpeg-6b-i386-4 showing in my /var/log/packages file. I even removed it and reinstalled it from the slack packages.

The second is that the configure script can't find glib-2.0. I can't find it in my packages file or in the slackware distribution but I do have a package called glib2-2.8.6-i486-1. Is this the same? I ran ldconfig and the configure script still can't find it.

I do have kde 3.5.1 installed (from the slackware distribution) and am getting a lot of errors including things crashing. Thanks for any help.

Alien_Hominid 03-14-2006 12:19 AM

If I remember correctly, there must be something like in /etc. Add your libjeg and glib libraries locations into it. Then run ldconfig.

gmorr 03-14-2006 12:50 AM

libjpeg seems to be in /usr/lib. libglib-2.0 seems to be in /lib. Both paths are already in /etc/ and I ran ldconfig earlier.

Alien_Hominid 03-14-2006 01:00 AM

Don't know, maybe it could be symlinks problem. If you manage to solve it, please post a sollution.

gmorr 03-19-2006 08:37 PM

I fixed the glib-2.0 problem. I didn't have a "PKG_CONFIG_PATH" set in my environment and pkgconfig couldn't find the glib-2.0.pc file.

All times are GMT -5. The time now is 06:09 AM.